Page MenuHomePhabricator

Remember "Period of time to display" parameter in watchlist
Closed, ResolvedPublic

Description

As a relatively infrequent user of Wikipedia I have only 72 pages on my watchlist and most of them are very low traffic. At this moment in time the default for "Period of time to display" of 3 days only shows 2 edits. There are weeks where I don't check my watchlist at all and it's makes sense for my use-case to set "Period of time to display" to 30 days (that setting shows 10 edits).

Unfortunately, the page doesn't remember the setting and every time I reload the page it goes back to 3 days. I would appreciate it if Wikipedia could save the information via cookie or even server-side.

(I'm logged in and use Google Chrome)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 5 2017, 9:02 PM
Framawiki renamed this task from Watchlist should remember "Period of time to display" to Remember "Period of time to display" parameter in watchlist.May 6 2017, 12:05 AM
This comment was removed by Pipetricker.
Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 28 2018, 10:18 AM
Pipetricker added a comment.EditedJul 28 2018, 3:50 PM

@ChristianKl, it appears you hadn't changed the setting "Days to show in watchlist" on the Watchlist tab in your Preferences. Doing this should resolve the problem but see the bug T199566, in particular the workaround at T199566#4458615.

The new "improved" watchlist also resolves this problem if you haven't opted out of it, since changing the time period on the "improved" watchlist changes the stored preference.

Can you confirm you hadn't changed "Days to show in watchlist" in Preferences, and/or confirm this is resolved for you?

Thanks, @Trizek-WMF -- we will make a triage decision on this once you send over the background and info on all filters issues.

Etonkovidova closed this task as Resolved.Aug 21 2018, 7:15 PM
Etonkovidova claimed this task.
Etonkovidova added a subscriber: Etonkovidova.

Re-checked the current behavior (wmf.16) - all works as described in @Pipetricker 's comment:

  • with new filters enabled on Watchlist - the User preferences will be overwritten when a user selects days/number of pages directly on Watchlist page.
  • with old filters - the user preferences should be changed in Preferences - Watchlist to make user selection of "Period of time to display" parameter on Watchlist persistent.